Subject: Re: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Sep 2012 11:01:10 +0300

> I see.  My knowledge of `display-buffer-alist' is certainly much worse
> than yours.  Could you patch this along these lines?  I think Chong will
> agree, if we only can get rid of the `temp-buffer-resize-regexps' stuff.

Of course I know less than you.  I don't know what problems you
intended to fix with new options that you implemented.  Particularly
I didn't know that you intended to use `temp-buffer-resize-mode' in
buffers displayed without `display-buffer'.  What I wanted to do
is just to help you to fix 2 regressions in Dired to be able to
close bug#1806.  One regression is related to the need to use
`fit-window-to-buffer' and `set-window-start' like in the previously
used `dired-pop-to-buffer'.  The second regression is that the value `t'
of `window-combination-limit' is ignored, so `fit-window-to-buffer'
steals space from the window below.  I have no idea how to fix that.